> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pilotstatus.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Criar grupo

> Cria um novo grupo do WhatsApp com um assunto e uma lista inicial de participantes.



## OpenAPI

````yaml openapi.evolution-v2.pt.json POST /group/create/{instance}
openapi: 3.1.0
info:
  title: Evolution V2 Layer
  version: 1.0.0
  description: >-
    Camada de API do Pilot Status — Evolution V2. Base URL
    `https://pilotstatus.com.br/api/layer/evolution-v2`. Autentique com o header
    `apikey` (sua chave `ps_` do Pilot Status). Endpoints de instância/sessão
    NÃO estão disponíveis na camada.
servers:
  - url: https://pilotstatus.com.br/api/layer/evolution-v2
security:
  - apiKey: []
tags:
  - name: Chamada e Business
  - name: Chat
  - name: Grupo
  - name: Etiqueta (Label)
  - name: Mensagem
  - name: Perfil
  - name: Configurações e Proxy
  - name: Armazenamento (S3)
  - name: Template
paths:
  /group/create/{instance}:
    post:
      tags:
        - Grupo
      summary: Criar grupo
      description: >-
        Cria um novo grupo do WhatsApp com um assunto e uma lista inicial de
        participantes.
      operationId: post__group_create_instance
      parameters:
        - name: instance
          in: path
          required: true
          schema:
            type: string
          description: O nome de exibição do número no painel do Pilot Status.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                subject:
                  type: string
                  description: Nome/assunto do grupo.
                  example: Equipe de Vendas
                participants:
                  type: array
                  items:
                    type: string
                  description: >-
                    Números de telefone (apenas dígitos) a adicionar como
                    membros.
                  example:
                    - '5511999999999'
                    - '5511888888888'
                description:
                  type: string
                  description: Descrição do grupo.
                  example: Grupo interno da equipe
                profilePicture:
                  type: string
                  description: URL da foto de perfil do grupo.
                  example: https://example.com/group.png
                promoteParticipants:
                  type: boolean
                  description: Promover a administradores os participantes adicionados.
                  example: false
              required:
                - subject
                - participants
      responses:
        '200':
          description: Sucesso — corpo de resposta nativo do provedor.
          content:
            application/json:
              schema:
                type: object
                description: >-
                  Raw Baileys group metadata of the newly created group
                  (returned by client.groupMetadata).
                properties:
                  id:
                    type: string
                    description: Group JID.
                  subject:
                    type: string
                    description: Group name/subject.
                  subjectOwner:
                    type: string
                    description: JID of the participant who last set the subject.
                  subjectTime:
                    type: integer
                    description: Unix timestamp (seconds) when the subject was last set.
                  size:
                    type: integer
                    description: Number of participants.
                  creation:
                    type: integer
                    description: Unix timestamp (seconds) when the group was created.
                  owner:
                    type: string
                    description: JID of the group owner/creator.
                  desc:
                    type: string
                    description: Group description text.
                  descId:
                    type: string
                    description: Identifier of the current description.
                  restrict:
                    type: boolean
                    description: If true, only admins can edit group info.
                  announce:
                    type: boolean
                    description: >-
                      If true, only admins can send messages (announcement
                      group).
                  isCommunity:
                    type: boolean
                    description: Whether this group is a community parent.
                  isCommunityAnnounce:
                    type: boolean
                    description: Whether this is a community announcement group.
                  joinApprovalMode:
                    type: boolean
                    description: Whether new members require admin approval to join.
                  memberAddMode:
                    type: boolean
                    description: Whether non-admin members are allowed to add participants.
                  ephemeralDuration:
                    type: integer
                    description: Disappearing-messages timer in seconds (0 when off).
                  linkedParent:
                    type: string
                    description: JID of the linked community parent, when applicable.
                  participants:
                    type: array
                    description: Group participants.
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: Participant JID.
                        admin:
                          type:
                            - string
                            - 'null'
                          enum:
                            - superadmin
                            - admin
                            - null
                          description: >-
                            Admin role: 'superadmin', 'admin', or null for a
                            regular member.
              example:
                id: 120363021234567890@g.us
                subject: Equipe Pilot Status
                subjectOwner: 5511999999999@s.whatsapp.net
                subjectTime: 1720545600
                size: 3
                creation: 1720545600
                owner: 5511999999999@s.whatsapp.net
                desc: Grupo oficial da equipe.
                descId: BAE5A1B2C3D4E5F6
                restrict: false
                announce: false
                isCommunity: false
                isCommunityAnnounce: false
                joinApprovalMode: false
                memberAddMode: false
                ephemeralDuration: 0
                participants:
                  - id: 5511999999999@s.whatsapp.net
                    admin: superadmin
                  - id: 5511988888888@s.whatsapp.net
                    admin: null
                  - id: 5511977777777@s.whatsapp.net
                    admin: null
        default:
          description: Erro — erro do provedor ou da camada.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                  error:
                    type: string
                  message:
                    type: string
                  response:
                    type: object
              example:
                status: 400
                error: Bad Request
                message: Invalid payload
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: apikey
      description: >-
        Your Pilot Status API key (ps_...). Evolution GO also accepts
        `Authorization: Bearer <key>`.

````